Data Fields
_dma_init Struct Reference
Peripheral Driver » HAL Driver » DMA » Structures » DMA Configuration

DMA Configuration Structure definition. More...

`#include <gr55xx_hal_dma.h>`

## Data Fields
uint32_t | src_request
uint32_t | dst_request
uint32_t | direction
uint32_t | src_increment
uint32_t | dst_increment
uint32_t | src_data_alignment
uint32_t | dst_data_alignment
uint32_t | mode
uint32_t | priority

## Detailed Description

DMA Configuration Structure definition.

## Field Documentation

## ◆ direction

uint32_t _dma_init::direction

Specifies if the data will be transferred from memory to peripheral, from memory to memory or from peripheral to memory. This parameter can be a value of DMA Data Transfer directions

## ◆ dst_data_alignment

uint32_t _dma_init::dst_data_alignment

Specifies the destination data width. This parameter can be a value of DMA Destination Data Size Alignment

## ◆ dst_increment

uint32_t _dma_init::dst_increment

Specifies whether the destination address register should be incremented or decrement or not. This parameter can be a value of DMA Destination Incremented Mode

## ◆ dst_request

uint32_t _dma_init::dst_request

Specifies the destination request selected for the specified channel. This parameter can be a value of DMA request definitions

## ◆ mode

uint32_t _dma_init::mode

Specifies the operation mode of the DMA Channel(Normal or Circular). This parameter can be a value of DMA Mode

Note
  The circular buffer mode cannot be used if the memory-to-memory data transfer is configured on the selected Channel

## ◆ priority

uint32_t _dma_init::priority

Specifies the software priority for the DMA Channel. This parameter can be a value of DMA Priority Level

## ◆ src_data_alignment

uint32_t _dma_init::src_data_alignment

Specifies the source data width. This parameter can be a value of DMA Source Data Size Alignment

## ◆ src_increment

uint32_t _dma_init::src_increment

Specifies whether the srouce address register should be incremented or decrement or not. This parameter can be a value of DMA Source Incremented Mode

## ◆ src_request

uint32_t _dma_init::src_request

Specifies the source request selected for the specified channel. This parameter can be a value of DMA request definitions

The documentation for this struct was generated from the following file:

- gr55xx_hal_dma.h